require 'active_support/core_ext/string'

module Agilib
	module Composer
		extend self

		class NotSupportedError < Exception; end

		autoload :Command, 		File.join(File.dirname(__FILE__), 'command.rb')
		autoload :Templater, 	File.join(File.dirname(__FILE__), 'templater.rb')

		def template_runner
      File.join(File.dirname(__FILE__), 'templates', 'runner.rb')
    end

    def options=(opt)
    	@_options = opt
    end

    def options
    	@_options || Hash.new
    end

	end
end