# encoding: utf-8
templater.post_bundler do

	# if Agilib::Composer.options[:all] || yes?("\nO projeto deverá ter Notificação por Push? [yes,no]", :green)
	
		do_configure = yes?("\nDeseja configurar o módulo Push Notification agora? [yes,no]", :green)

  	generate 'agilib:push'
  	rake 'db:migrate'

  	if do_configure
			say("\nIniciando configuração do módulo Push Notification... ", :yellow)

			google_api = ask("\nInforme o Google API_KEY:") || ""
			apple_pem  = ask("\nInforme o caminho do Apple Certificate ( .pem )") || ""

			agilib_config_path = 'config/initializers/agilib.rb'
		  

			agilib_push_config_text = <<-RUBY


  config.use :push_notification do |options|

  	options.device_route = "/devices"

    options.platform :ios do |ios|
      ios.pem = "#{google_api}"    
    end

  	options.platform :android do |android|
      android.api_key = "#{apple_pem}"
    end

  end

			RUBY

			inject_into_file agilib_config_path, agilib_push_config_text, :after => "Agilib.setup do |config|"

		  say("\nConfiguração finalizada... ", :green)

		end

	# end
end