gem 'apitome'

if defined? app_name
	name = app_name
elsif defined? application_name
	name = application_name
end

templater.post_bundler do 
	generate 'apitome:install'

	gsub_file 'config/initializers/apitome.rb', 'Apitome Documentation', "#{name.humanize} Api Documentation"
	gsub_file 'doc/api.md', 'Apitome Documentation', "#{name.humanize} Api Documentation"

	copy_file File.expand_path('../../../../../../app/views/apitome/docs/_header.html.erb', __FILE__), 'app/views/apitome/docs/_header.html.erb'

end