$LOAD_PATH.unshift(File.expand_path('./../../', __FILE__))

require File.join(File.expand_path('./../../../../', __FILE__), 'agilib.rb')
require 'composer'
require File.join(File.dirname(__FILE__), 'core_ext.rb')

%w(default gems responders simple_form bootstrap rspec apitome devise token push cancan better_errors layout finalize).each do |recipe|
  apply templater.recipe(recipe)
end

say("\nInitial generation complete\n", Thor::Shell::Color::YELLOW)

say("\nBeginning bundle install\n", Thor::Shell::Color::YELLOW)
run 'bundle install'
say("\nbundle install complete\n", Thor::Shell::Color::YELLOW)

execute_post_bundler_strategies

# git :add => "."
# git :commit => "-m 'Initial commit'"