require 'active_support/dependencies'

module Agilib
  module PushNotification
  	module Platform
  		module Android
	    	extend ActiveSupport::Concern

	    	mattr_accessor :api_key
	    	@@api_key = nil

	    	def self.send_notification(message, data = {}, device = nil)
	        gcm       = GCM.new(@@api_key)

	        registers = [device.register] 
	        
	        data[:description] = message unless data.has_key?(:description)

	        options   = {data: data}
	        
	        gcm.send_notification(registers, options)
	    	end

    	end
    end
  end
end

