require 'rails/generators/active_record'

module ActiveRecord
  module Generators
    class AgilibTokenGenerator < ActiveRecord::Generators::Base
      source_root File.expand_path("../templates", __FILE__)
      def copy_agilib_migration
        if (behavior == :invoke)
          migration_template "token_authenticatable.rb", "db/migrate/add_agilib_token_authenticatable_to_users"
        end
      end
    end
  end
end
